import * as React from 'react';
import { InspectProps } from './inspx';

const Inspect = React.lazy(() => import('./inspx'));

export default function Loader({
  disabled = process.env.NODE_ENV !== 'development',
  ...props
}: InspectProps & { disabled?: boolean }) {
  if (disabled || typeof window === 'undefined') {
    return <React.Fragment>{props.children}</React.Fragment>;
  }

  return (
    <React.Suspense fallback={null}>
      <Inspect {...props} />
    </React.Suspense>
  );
}

export { InspectProps };
